/*
 * Copyright (C) 2005  Jens Wilhelm Wulf, j dot w dot wulf at gmx dot net
 * Licensed under the GNU General Public License version 2.
 */

#ifndef addpicsdlg_h
# define addpicsdlg_h

# include <FL/Fl.H>
# include <FL/Fl_Double_Window.H>
# include <FL/Fl_Choice.H>
# include <FL/Fl_Button.H>
# include <FL/Fl_Return_Button.H>
# include "../base/treepicdata.h"

class AddPicsDlg {
  public:
   AddPicsDlg();
   ~AddPicsDlg();
   
   TreePicData::eDateTimeSource showDlg();
      
  private:
   Fl_Choice*        cb_dtmethod;
   
   Fl_Button*        btn_cancel;
   Fl_Return_Button* btn_ok;
   Fl_Double_Window* myWindow;   
};
#endif
