/*
 * Copyright (C) 2005  Jens Wilhelm Wulf, j dot w dot wulf at gmx dot net
 * Licensed under the GNU General Public License version 2.
 */

#ifndef PICBUTTON_H
# define PICBUTTON_H

# include <FL/Fl_Button.H>
# include "../base/treepicbase.h"
# include "../base/treeitem.h"


class PicButton : public Fl_Button
{
  public:
   PicButton(int,int,int,int, const char * = 0);
   virtual ~PicButton();
   int handle(int);
   void draw();      
   void item(TreePicBase* p);
     
   void redrawIf(TreeItem* ptr);
   TreeItem* myPic;
   
   /**
    * This is because FLTK 1.1 in debian sarge doesn't implement Fl_Widget::copy_label()
    */
   void setLabel(std::string somestring);
   
  private:
   /**
    *
    */
   std::string mylabel;   
};
#endif
